GNU bug report logs - #45328
28.0.50; [PATCH] Compare raw syntax descriptors with equal in `python-indent-region'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrea Corallo <akrl@HIDDEN>; dated Sat, 19 Dec 2020 23:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45328 <at> debbugs.gnu.org:


Received: (at 45328) by debbugs.gnu.org; 17 May 2021 15:06:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 11:06:24 2021
Received: from localhost ([127.0.0.1]:53500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1liep2-00008u-8a
	for submit <at> debbugs.gnu.org; Mon, 17 May 2021 11:06:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lieox-00008Z-HI
 for 45328 <at> debbugs.gnu.org; Mon, 17 May 2021 11:06:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=HycGSqQ9/DXldlltE1jR8C3B2O8p4b7e7gbpnaLITG0=; b=cH0eXJkA/AVvSuU1Nae3YEzD3k
 OJZib7Ert5t6zXDgQqRJy2RlJbI9sfE/O2GGQARy0wsgOsBAapZYyud6VrOapbiN1uk4OqEStcHHa
 rFonpq0Zi0gbC14494RTLJEVFDTQ9kWTqvZPnguSrnh6cSagXv8MXVtl1GUMmMciXw7U=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lieom-0000iw-Ad; Mon, 17 May 2021 17:06:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#45328: 28.0.50; [PATCH] Compare raw syntax descriptors with
 equal in `python-indent-region'
References: <xjf8s9twg84.fsf@HIDDEN>
 <CADwFkmn4JNdWQUU02xqs0JLY4i0EPEuu8LHjwZajm=QTC29O6g@HIDDEN>
 <xjfh7l4ryqi.fsf@HIDDEN>
X-Now-Playing: d'Eon's _LP_: "I Don't Want To Know"
Date: Mon, 17 May 2021 17:06:03 +0200
In-Reply-To: <xjfh7l4ryqi.fsf@HIDDEN> (Andrea Corallo's message of "Sun, 21
 Mar 2021 21:19:33 +0000")
Message-ID: <878s4djt7o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > Uhmm, I thought the
 patch was correct but re-testing it this is now > breaking the
 `python-indent-region-5'
 test. > > Maybe there's a reason why we should use eq there or maybe this
 is > unveiling a [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45328
Cc: =?utf-8?Q?F?= =?utf-8?Q?abi=C3=A1n?= Ezequiel Gallina <fgallina@HIDDEN>,
 45328 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> Uhmm, I thought the patch was correct but re-testing it this is now
> breaking the `python-indent-region-5' test.
>
> Maybe there's a reason why we should use eq there or maybe this is
> unveiling a real bug?  Not sure, I guess some expert of that code should
> probably have a look.

The code in question is:

                   ;; Don't mess with strings, unless it's the
                   ;; enclosing set of quotes or a docstring.
                   (or (not (python-syntax-context 'string))
                       (eq
                        (syntax-after
                         (+ (1- (point))
                            (current-indentation)
                            (python-syntax-count-quotes (char-after) (point=
))))
                        (string-to-syntax "|"))
                       (python-info-docstring-p))

That `eq' form will never return anything other than nil, so removing it
gives us identical results.  So I'm not quite sure what it's trying to
do -- it's probably meant to be `equal', but that will (as you've found
out) lead to mis-indenting some code.

So I've added Fabi=C3=A1n to the CCs; perhaps he has some comments.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45328; Package emacs. Full text available.

Message received at 45328 <at> debbugs.gnu.org:


Received: (at 45328) by debbugs.gnu.org; 21 Mar 2021 21:19:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 17:19:37 2021
Received: from localhost ([127.0.0.1]:55568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lO5U0-0001xa-TM
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 17:19:37 -0400
Received: from mx.sdf.org ([205.166.94.24]:60334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lO5Ty-0001xR-Jx
 for 45328 <at> debbugs.gnu.org; Sun, 21 Mar 2021 17:19:35 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12LLJXGq024114
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 21 Mar 2021 21:19:33 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#45328: 28.0.50; [PATCH] Compare raw syntax descriptors with
 equal in `python-indent-region'
References: <xjf8s9twg84.fsf@HIDDEN>
 <CADwFkmn4JNdWQUU02xqs0JLY4i0EPEuu8LHjwZajm=QTC29O6g@HIDDEN>
Date: Sun, 21 Mar 2021 21:19:33 +0000
In-Reply-To: <CADwFkmn4JNdWQUU02xqs0JLY4i0EPEuu8LHjwZajm=QTC29O6g@HIDDEN>
 (Stefan Kangas's message of "Fri, 19 Mar 2021 21:51:39 -0500")
Message-ID: <xjfh7l4ryqi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45328
Cc: 45328 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> In `python-indent-region' we are comparing raw syntax descriptors using
>> `eq' but I think we should use `equal' (as we do underneath in
>> `python-fill-string').
>>
>> I'm quite convinced the fix is correct but; should this go also in 27
>> where the code is the same?
>
> That was in December, and there were no followups.
>
> We are one week away from Emacs 27.2, so I don't think we want this on
> emacs-27 right now.  If you think the fix is correct, I don't see why we
> couldn't push it there after Emacs 27.2 is released.
>
> Should we perhaps start by getting the fix pushed to master?

Uhmm, I thought the patch was correct but re-testing it this is now
breaking the `python-indent-region-5' test.

Maybe there's a reason why we should use eq there or maybe this is
unveiling a real bug?  Not sure, I guess some expert of that code should
probably have a look.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45328; Package emacs. Full text available.

Message received at 45328 <at> debbugs.gnu.org:


Received: (at 45328) by debbugs.gnu.org; 20 Mar 2021 02:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 19 22:51:48 2021
Received: from localhost ([127.0.0.1]:51268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNRiO-00016F-Mg
	for submit <at> debbugs.gnu.org; Fri, 19 Mar 2021 22:51:48 -0400
Received: from mail-pf1-f176.google.com ([209.85.210.176]:34509)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lNRiM-00015z-3b
 for 45328 <at> debbugs.gnu.org; Fri, 19 Mar 2021 22:51:46 -0400
Received: by mail-pf1-f176.google.com with SMTP id y5so7154076pfn.1
 for <45328 <at> debbugs.gnu.org>; Fri, 19 Mar 2021 19:51:45 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=VbstGTZh+lG+QXT/HhSGl9aYNI3QjVfGlHkxPT35HKc=;
 b=Ykaqcr7gSimgJ+eOBPSyWdBjS4qtaVa2AkpxAcXm+XtlowkbZb/b6IKS0azx64a5b5
 nQzetRQEU2vMMBbCaW6DB1TXlN5wTBAwLH+aVwRiBrDr0WvG8aaSHsfDxaNBpP9/gYL1
 esntaLi4w3t5lM+hx30bUOFQvltmkr9vteZbzoGarRp1fUsR2bS53uSBk6dSyecH2tSS
 10F+NuCDyEhBzBSt6xzHNDdx0dUPDJMBgqxwXokKPkMwQY98W1b5cVX7KE3seZm1gaac
 kwxIydW54UxPJcJNW5GPdoyFHmNFlZr85yiAExCXU4lzo28ZFCzOFylh37CI4CTle9cN
 Qhmw==
X-Gm-Message-State: AOAM531N/iqv4jCl0xJTn15PpggVQa9qA1yPbk8xdxZordrFLpjuPwtl
 LNaktM1xNz/o1+KnQKXNOgwcfMLXb2BzYrp46vU=
X-Google-Smtp-Source: ABdhPJwYuXBKbwR530yfZzDrheOojMkEagShND2aOO9jItbmSxdnGmIIDNMCOx2u5TCBl08AebwM4FrT3534d2a+j0s=
X-Received: by 2002:aa7:828f:0:b029:200:6e27:8c8f with SMTP id
 s15-20020aa7828f0000b02902006e278c8fmr11923926pfm.44.1616208700290; Fri, 19
 Mar 2021 19:51:40 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 19 Mar 2021 21:51:39 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <xjf8s9twg84.fsf@HIDDEN> (Andrea Corallo's message of "Sat, 19
 Dec 2020 23:03:55 +0000")
References: <xjf8s9twg84.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 19 Mar 2021 21:51:39 -0500
Message-ID: <CADwFkmn4JNdWQUU02xqs0JLY4i0EPEuu8LHjwZajm=QTC29O6g@HIDDEN>
Subject: Re: bug#45328: 28.0.50; [PATCH] Compare raw syntax descriptors with
 equal in `python-indent-region'
To: Andrea Corallo <akrl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 45328
Cc: 45328 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andrea Corallo <akrl@HIDDEN> writes:

> In `python-indent-region' we are comparing raw syntax descriptors using
> `eq' but I think we should use `equal' (as we do underneath in
> `python-fill-string').
>
> I'm quite convinced the fix is correct but; should this go also in 27
> where the code is the same?

That was in December, and there were no followups.

We are one week away from Emacs 27.2, so I don't think we want this on
emacs-27 right now.  If you think the fix is correct, I don't see why we
couldn't push it there after Emacs 27.2 is released.

Should we perhaps start by getting the fix pushed to master?

>>From 9163724fcd8eea5c9e2908ecb38d90406669a8d3 Mon Sep 17 00:00:00 2001
> From: Andrea Corallo <akrl@HIDDEN>
> Date: Sat, 19 Dec 2020 23:51:36 +0100
> Subject: [PATCH] * Compare raw syntax descriptors with equal in
>  `python-indent-region'.
>
> 	* lisp/progmodes/python.el (python-indent-region): Compare raw
> 	syntax descriptors with equal.
> ---
>  lisp/progmodes/python.el | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
> index d75944a702..dc2efdfcf7 100644
> --- a/lisp/progmodes/python.el
> +++ b/lisp/progmodes/python.el
> @@ -1259,7 +1259,7 @@ Called from a program, START and END specify the region to indent."
>                     ;; Don't mess with strings, unless it's the
>                     ;; enclosing set of quotes or a docstring.
>                     (or (not (python-syntax-context 'string))
> -                       (eq
> +                       (equal
>                          (syntax-after
>                           (+ (1- (point))
>                              (current-indentation)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45328; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2020 23:04:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 18:04:10 2020
Received: from localhost ([127.0.0.1]:43368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqlGj-0001eP-OL
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 18:04:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:38324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kqlGf-0001eD-B1
 for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 18:04:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48824)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kqlGf-0007Cy-4v
 for bug-gnu-emacs@HIDDEN; Sat, 19 Dec 2020 18:04:05 -0500
Received: from mab.sdf.org ([205.166.94.33]:37230 helo=ma.sdf.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kqlGd-00064K-8a
 for bug-gnu-emacs@HIDDEN; Sat, 19 Dec 2020 18:04:04 -0500
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>) id 1kqlGV-0005iF-Q1
 for bug-gnu-emacs@HIDDEN; Sat, 19 Dec 2020 23:03:55 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [PATCH] Compare raw syntax descriptors with equal in
 `python-indent-region'
Date: Sat, 19 Dec 2020 23:03:55 +0000
Message-ID: <xjf8s9twg84.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=205.166.94.33; envelope-from=akrl@HIDDEN;
 helo=ma.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Hi,

debugging a native-comp regression on the branch I'm working on I came
to this.

In `python-indent-region' we are comparing raw syntax descriptors using
`eq' but I think we should use `equal' (as we do underneath in
`python-fill-string').

I'm quite convinced the fix is correct but; should this go also in 27
where the code is the same?

Regards

  Andrea


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Compare-raw-syntax-descriptors-with-equal-in-python-.patch

From 9163724fcd8eea5c9e2908ecb38d90406669a8d3 Mon Sep 17 00:00:00 2001
From: Andrea Corallo <akrl@HIDDEN>
Date: Sat, 19 Dec 2020 23:51:36 +0100
Subject: [PATCH] * Compare raw syntax descriptors with equal in
 `python-indent-region'.

	* lisp/progmodes/python.el (python-indent-region): Compare raw
	syntax descriptors with equal.
---
 lisp/progmodes/python.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index d75944a702..dc2efdfcf7 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -1259,7 +1259,7 @@ Called from a program, START and END specify the region to indent."
                    ;; Don't mess with strings, unless it's the
                    ;; enclosing set of quotes or a docstring.
                    (or (not (python-syntax-context 'string))
-                       (eq
+                       (equal
                         (syntax-after
                          (+ (1- (point))
                             (current-indentation)
-- 
2.20.1


--=-=-=--




Acknowledgement sent to Andrea Corallo <akrl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45328; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 May 2021 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.